aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libcork/fix-dumb-script.patch
blob: 092343c51042d18f4e0c31d8babb2df44fdc0e42 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
diff --git a/version.sh b/version.sh
index 40e8d05..be8cd2e 100755
--- a/version.sh
+++ b/version.sh
@@ -17,17 +17,10 @@
 # Note that the RELEASE-VERSION file should *not* be checked into git;
 # please add it to your top-level .gitignore file.
 
-version=$(git describe)
-if [ -n ${version} ]; then
-    # If we got something from git-describe, write the version to the
-    # output file.
-    echo ${version} > RELEASE-VERSION
-else
-    version=$(cat RELEASE-VERSION)
-    if [ -z ${version} ]; then
-        echo "Cannot find the version number!" >&2
-        exit 1
-    fi
+version=$(cat RELEASE-VERSION)
+if [ -z ${version} ]; then
+    echo "Cannot find the version number!" >&2
+    exit 1
 fi
 
 echo ${version}